Bug 111041 - [NEW PORT]mail/james:Java SMTP and POP3 Mail server and NNTP News server
Summary: [NEW PORT]mail/james:Java SMTP and POP3 Mail server and NNTP News server
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-30 19:00 UTC by Nemo Liu
Modified: 2007-04-09 21:50 UTC (History)
0 users

See Also:


Attachments
file.shar (12.64 KB, text/plain)
2007-03-30 19:00 UTC, Nemo Liu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nemo Liu 2007-03-30 19:00:10 UTC
The Apache Java Enterprise Mail Server (a.k.a. Apache James) is a 100% pure Java SMTP and POP3 Mail server and NNTP News server. We have designed James to be a complete and portable enterprise mail engine solution based on currently available open protocols.

James is also a mail application platform. We have developed a Java API to let you write Java code to process emails that we call the mailet API. A mailet can generate an automatic reply, update a database, prevent spam, build a message archive, or whatever you can imagine. A matcher determines whether your mailet should process an email in the server. The James project hosts the Mailet API, and James provides an implementation of this mail application platform API.

James is based upon the Apache Avalon application framework, formerly a product of the Apache Avalon project.

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2007-04-08 16:04:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2007-04-09 21:44:42 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 3 dfilter service freebsd_committer 2007-04-09 21:44:56 UTC
miwi        2007-04-09 20:44:47 UTC

  FreeBSD ports repository

  Modified files:
    mail                 Makefile 
  Added files:
    mail/james           Makefile distinfo pkg-descr pkg-plist 
    mail/james/files     james.sh.in 
  Log:
  The Apache Java Enterprise Mail Server (a.k.a. Apache James) is a 100% pure
  Java SMTP and POP3 Mail server and NNTP News server. We have designed James
  to be a complete and portable enterprise mail engine solution based on
  currently available open protocols.
  
  James is also a mail application platform. We have developed a Java API to
  let you write Java code to process emails that we call the mailet API. A
  mailet can generate an automatic reply, update a database, prevent spam,
  build a message archive, or whatever you can imagine. A matcher determines
  whether your mailet should process an email in the server. The James project
  hosts the Mailet API, and James provides an implementation of this mail appli
  -cation platform API.
  
  James is based upon the Apache Avalon application framework, formerly a
  product of the Apache Avalon project.
  
  WWW: http://james.apache.org/
  
  PR:             ports/111041
  Submitted by:   Nemo Liu <nemoliu at gmail.com>
  
  Revision  Changes    Path
  1.844     +1 -0      ports/mail/Makefile
  1.1       +64 -0     ports/mail/james/Makefile (new)
  1.1       +3 -0      ports/mail/james/distinfo (new)
  1.1       +178 -0    ports/mail/james/files/james.sh.in (new)
  1.1       +17 -0     ports/mail/james/pkg-descr (new)
  1.1       +129 -0    ports/mail/james/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"